=== debian/changelog ===
nn (6.5.0.b3.linux.1.1-1.1) unstable; urgency=low
  
  * Non-maintainer release.
  * Libc6 compile.
  * Updated from pre 2.0.0.0 standards.

 -- Martin Mitchell <martin@debian.org>  Wed, 12 Nov 1997 21:44:07 +1100

Local variables:
mode: debian-changelog
End:
