=== debian/control ===
Source: nn
Section: news
Priority: optional
Maintainer: Mike Coleman <coleman@chez-gnu.cstp.umkc.edu>
Standards-Version: 2.3.0.1

Package: nn
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mail-transport-agent, inn | inewsinn | inews
Suggests: ispell
Provides: news-reader
Description: Heavy-duty USENET news reader (curses-based client)
 nn stands for "No News is good news", and the nn newsreader is designed to let
 you minimize the amount of time you spend reading news (or, more
 realistically, to allow you to follow even more newsgroups :-).
 .
 nn allows you to quickly select articles of interest and skip the rest.  It
 also supports efficient article killing and selection of articles by author
 and subject.
 .
 This version of nn reads news from a news server via NNTP (the Network News
 Transfer Protocol), and can make use of your NNTP server's NOV database, if
 configured.  You must have a news server available - large sites usually
 provide a site-wide server.  (For those familiar with 'nn', this is a
 client-only version.)
 .
 (Having recently used both nn and trn, I think it's a tossup as to which is
 best, as trn seems to include many of nn's best features.  If you're a
 diehard nn user, "trn -x -XX" will start trn in a mode which somewhat
 resembles nn.)
