## nn 6.6.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Makefile for nn release 6.5
+# Makefile for nn release 6.6
 #
 #
 # Before compiling, read the instructions in the file INSTALLATION!
@@ -18,15 +18,15 @@
 #
 # Use /lib/cpp or /usr/ccs/lib/cpp for CPP on Solaris or SVR4 machines.
 
-CC =		gcc
+CC =		cc
+
 CPP =		$(CC) -E
 #CPP =		/lib/cpp
-CFLAGS =	-O6 -fomit-frame-pointer -pipe
-#-Wall -Wcomment \
-#-Wtraditional -Wshadow \
-#-Wpointer-arith -Wcast-qual -Wcast-align -Wconversion \
-#-Waggregate-return -Wmissing-prototypes -Wnested-externs
-LDFLAGS =	-s # -lmalloc # /usr/local/lib/malloc-debug/libmalloc.a
+#CPP =		/usr/bin/cpp -no-cpp-precomp	# for MacOS X
+
+CFLAGS =	-O # -g -Wall -ansi -pedantic
+#CFLAGS =	-O # -w0 -g3			# for DEC
+
 MAKE =		make
 
 
@@ -60,6 +60,7 @@
 	       -DCDEBUG="$(CFLAGS)" -Iconf MF.c | \
 	sed -e '1,/MAKE WILL CUT HERE/d' \
 	    -e '/^#/d' \
+	    -e 's/^        /	/' \
 	    -e '/^[ \f	]$$/d' \
 	    -e '/^[ \/]*[*]/d' | \
 	sed -n -e '/^..*$$/p' > ymakefile
@@ -95,4 +96,4 @@
 
 man/nn.1.D: man/nn.1
 	sh SPLITNN1
-	
+
