## nn 6.7.3

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	       -DCDEBUG="$(CFLAGS)" -Iconf MF.c | \
 	sed -e '1,/MAKE WILL CUT HERE/d' \
 	    -e '/^#/d' \
-	    -e 's/^        /	/' \
+	    -e 's/^  */	/' \
 	    -e '/^[ \f	]$$/d' \
 	    -e '/^[ \/]*[*]/d' | \
 	sed -n -e '/^..*$$/p' > ymakefile
