=== debian/changelog ===
nn (6.7.3-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097472)

 -- Adrian Bunk <bunk@debian.org>  Wed, 22 Oct 2025 19:04:06 +0300

nn (6.7.3-16) unstable; urgency=medium

  * cleaning update.h
  * Bump policy (no changes)
  * Updated Patches to make Lintian happy

 -- Cord Beermann <cord@debian.org>  Sat, 22 Mar 2025 18:01:44 +0100

nn (6.7.3-15) unstable; urgency=medium

  * Bump Policy (no changes)
  * Fixed debian/watch

 -- Cord Beermann <cord@debian.org>  Sat, 24 Dec 2022 17:10:04 +0100

nn (6.7.3-14) unstable; urgency=medium

  * Bump Policy (no changes)
  * Re-upload without binary.

 -- Cord Beermann <cord@debian.org>  Sat, 16 Jan 2021 11:17:56 +0100

nn (6.7.3-13) unstable; urgency=medium

  * Fix FTBFS with gcc10. thanks to Logan Rosen <logan@ubuntu.com>
    (closes: #957610)
  * Make Lintian Happy again
    + converted *.po files to utf8
    + switch watch to Version 4

 -- Cord Beermann <cord@debian.org>  Fri, 17 Apr 2020 19:38:17 +0200

nn (6.7.3-12) unstable; urgency=medium

  * Fixing Recommendation on sensible-utils (closes: #871524)
  * Fixing manpage (closes: #898675)

 -- Cord Beermann <cord@debian.org>  Sat, 04 Apr 2020 14:37:34 +0200

nn (6.7.3-11) unstable; urgency=medium

  * Rebuild package
    + Bump Standard to 4.5.0
      - Rules-Requires-Root: no
    + Split patches to separate files
    + Don't install unneeded manpages
    + Reworked copyright-file, but abusing lintian-ignores.
    + Fix FTBFS with hardening
  * Fix FTBFS with missing stropts.h in glibc 2.30 (closes: #954552)

 -- Cord Beermann <cord@debian.org>  Sat, 04 Apr 2020 12:58:38 +0200

nn (6.7.3-10) unstable; urgency=medium

  * add patch by Chris Lamb <lamby@debian.org> for reproducable builds.
    (closes: #776764)
  * bumb debhelper to 9

 -- Cord Beermann <cord@debian.org>  Thu, 20 Aug 2015 13:39:10 +0200

nn (6.7.3-9) unstable; urgency=low

  * The DebConf-Release
  * Bump Standard-Version to 3.9.6
  * Reconfigured Hardening to make lintian happy

 -- Cord Beermann <cord@debian.org>  Mon, 10 Aug 2015 21:22:13 +0200

nn (6.7.3-8) unstable; urgency=low

  * define MAXHOSTNAMELEN if not already set for the Hurd.

 -- Cord Beermann <cord@debian.org>  Sun, 24 Jun 2012 10:35:12 +0200

nn (6.7.3-7) unstable; urgency=low

  * Fix a lintian-override thanks to: Jakub Wilk <jwilk@debian.org>
    (closes: #642239)

 -- Cord Beermann <cord@debian.org>  Sun, 24 Jun 2012 10:03:38 +0200

nn (6.7.3-6) unstable; urgency=low

  * disabled DEB_BUILD_HARDENING_FORMAT

 -- Cord Beermann <cord@debian.org>  Sat, 23 Jun 2012 20:34:59 +0200

nn (6.7.3-5) unstable; urgency=low

  * fix debian/rules to have a config.h when we need it.

 -- Cord Beermann <cord@debian.org>  Sat, 23 Jun 2012 19:12:01 +0200

nn (6.7.3-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #628348)
  * Add Hardening
  * Remove Template from watch-File
  * Fixed duplicate changelog
  * Bump Standard to 3.9.3 (no changes)

 -- Cord Beermann <cord@debian.org>  Thu, 21 Jun 2012 23:18:07 +0200

nn (6.7.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ymakefile:12: *** commands commence before first target.
    Stop.": add patch from Ubuntu / Andreas Moog:
    - Escape backslashes in makefile template to fix FTBFS (LP: #756213)
      (Closes: #628348)

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 18:24:08 +0200

nn (6.7.3-3) unstable; urgency=low

  * add spanish Translation (closes: #570354)
  * Acknowledge NMUs
  * Make Lintian happy
    + Fixed typos
    + moving nn-eu.po to eu.po
    + Bumped Policy-version
    + DH version 7

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 17:44:40 +0200

nn (6.7.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename local getline func to local_getline. (Closes: #552849, #548461).
  * Add Italian debconf translation. (Closes: #504995).
    + Thanks to Luca Monducci.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 20:55:20 -0400

nn (6.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload to fix bashism in build process.
  * Modified prefix.c to check for a NULL value when generating shell
    scripts headers (closes: #459108)
  * Added nl.po and pt_BR.po contributed by Bart Cornelis and Eder L. Marques
    (closes: #419733) (closes: #447150)
  * Fixed text lines in the manpages with a leading dot.
  * Converted debian copyright file to utf8.
  * Updated menu file "Apps/Net" -> "Applications/Network/Communication".

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 08 Mar 2008 16:07:37 -0200

nn (6.7.3-2) unstable; urgency=medium

  * debconf translations
    + added ka.po and vi.po (closes: #399496) (sorry, Christian)
  * no more changes, should be safe for release...

 -- Cord Beermann <cord@debian.org>  Wed,  3 Jan 2007 22:34:53 +0100

nn (6.7.3-1) unstable; urgency=low

  * New upstream release (no significant changes)
  * debconf translations
    + added basque translation (closes: #331351)
    + updated swedish translation (closes: #331351)
    + updated russian translation (closes: #361657)
    + added portugese translation (closes: #381633)
  * Fix up broken templates/config/postinst files (closes: #335270)
    (many thanks to  J S Bygott for figuring this out)
  * Fix bashism (closes: #376430)
  * bumped Standards-Version, no change.

 -- Cord Beermann <cord@debian.org>  Sun, 19 Nov 2006 13:40:15 +0100

nn (6.7.2-1) unstable; urgency=low

  * New upstream (closes: #325055)
    + fixed AUTO-Domain-problem (closes: #190599)
  * Update debian/watch
  * debconf translations
    + added japanese (closes: #308748)
    + changed german (closes: #311853)
    + added vietnamese (closes: #316060)
    + added french (closes: #299252)
    + added czech (closes: #309078)
    + added danish (closes: #323364)
  * Bumped Standard-version
  * added {misc:Depend}
  * Make Lintian happy
    + removed non-bashism from nn.config


