=== debian/control ===
Source: nn
Section: news
Priority: optional
Maintainer: Cord Beermann <cord@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev
Standards-Version: 4.7.2
Homepage: http://www.nndev.org
Rules-Requires-Root: no

Package: nn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent, sensible-utils
Suggests: ispell, gnupg
Provides: news-reader
Description: Heavy-duty USENET news reader (curses-based client)
 The motto of nn is its expanded name, which is "No News is good
 news, but nn is better", and the nn newsreader is designed to let you
 minimize the amount of time you spend reading news (or, more
 realistically, to allow you to follow even more newsgroups :-).
 .
 Nn allows you to quickly select articles of interest and skip the
 rest.  It also supports efficient article killing and selection of
 articles by author and subject.
 .
 This version of nn reads news from a news server via NNTP (the
 Network News Transfer Protocol), and can make use of your NNTP
 server's NOV database, if configured.  You must have a news server
 available - large sites usually provide a site-wide server.  (For
 those familiar with 'nn', this is a client-only version.)
