=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk
CC_FOR_BUILD ?= cc

%:
	dh $@

override_dh_auto_configure:
	cp -f debian/config.h .

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS)" \
                CPPFLAGS="$(CPPFLAGS)" \
                LDFLAGS="$(LDFLAGS)" \
                LOCALCC=$(CC_FOR_BUILD)

override_dh_clean:
	dh_clean
	rm -f update.h
	debconf-updatepo

override_dh_auto_clean:
	cp -f debian/config.h .
	dh_auto_clean
	rm config.h

override_dh_auto_install:
	dh_auto_install
	DESTDIR=$(CURDIR)/debian/nn ./inst n
	rm $(CURDIR)/debian/nn/usr/share/man/man1/nnacct.1m
	rm $(CURDIR)/debian/nn/usr/share/man/man8/nnmaster.8
	rm $(CURDIR)/debian/nn/usr/share/man/man8/nnspew.8
	rmdir $(CURDIR)/debian/nn/usr/share/man/man8
