=== debian/watch ===
# Site		Directory		Pattern			Version	Script
#ftp.nndev.org	/pub/nn-6.6	nn-(.*)\.tar\.Z		debian	uupdate
#ftp://ftp.nndev.org/pub/nn-6.7/nn-(.*)\.tar\.Z debian uupdate
version=4
http://www.nndev.org/pub/nn-6.7/nn-(.*)\.tar\.Z debian uupdate
